(* virt-dmesg
 * (C) Copyright 2008-2011 Red Hat Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *)

(** Functions for searching for ordinary kernel symbol table. *)

val search_ksyms : Kernel.t -> (string * int64) list
  (** [search_ksyms k] searches kernel memory [k] for an ordinary
      symbol table (ie. not kallsyms: see {!Kallsyms} module for that).

      If found, it returns a list of symbols and values.  If not found,
      this raises [Not_found] exception. *)

val common_ksyms : string list
  (** Used internally by {!Kallsyms}. *)
